Subject: Re: [PATCH 26/29] net/tls: use the new scatterwalk functions

From: Jakub Kicinski <[email-masked]>
Date: Mon, 23 Dec 2024 12:44:31 -0800

On Mon, 23 Dec 2024 11:42:49 -0800 Eric Biggers wrote:
> > Acked-by: Jakub Kicinski <[email-masked]>  
> 
> Thanks.  FYI I will need to update this patch in the next version, as I did not
> take into consideration what chain_to_walk() is doing.  This code seems to be a
> bit unique in how it is using the scatterwalk functions.
> 
> Also I think the second paragraph of my commit message is wrong, as the calls to
> scatterwalk_done() in tls_enc_records() are the ones I thought were missing.

netdev@ only got CCed on this one patch so TBH I have trusted 
the conversion :(

FWIW tls has a relatively solid selftest:
tools/testing/selftests/net/tls.c